summaryrefslogtreecommitdiffstats
path: root/app-backup
diff options
context:
space:
mode:
authorSuren A. Chilingaryan <csa@suren.me>2019-09-01 00:00:32 +0200
committerSuren A. Chilingaryan <csa@suren.me>2019-09-01 00:00:32 +0200
commitca9627e70852f6b2e835660df870fe3ab405882d (patch)
tree0a008b1d5b16fa0679a195ed7b5662c7891f591c /app-backup
downloaddarklin4-ca9627e70852f6b2e835660df870fe3ab405882d.tar.gz
darklin4-ca9627e70852f6b2e835660df870fe3ab405882d.tar.bz2
darklin4-ca9627e70852f6b2e835660df870fe3ab405882d.tar.xz
darklin4-ca9627e70852f6b2e835660df870fe3ab405882d.zip
Initial import
Diffstat (limited to 'app-backup')
-rw-r--r--app-backup/duplicity/Manifest3
-rw-r--r--app-backup/duplicity/duplicity-0.7.09.ebuild49
-rw-r--r--app-backup/duplicity/files/duplicity-0.6.24-skip-test.patch10
3 files changed, 62 insertions, 0 deletions
diff --git a/app-backup/duplicity/Manifest b/app-backup/duplicity/Manifest
new file mode 100644
index 0000000..92b9ec7
--- /dev/null
+++ b/app-backup/duplicity/Manifest
@@ -0,0 +1,3 @@
+AUX duplicity-0.6.24-skip-test.patch 477 SHA256 2ed2169f915817630d11a2d089c03e79058461a30b693520a45f622def2c8aa5 SHA512 37f7f3cc774ad15301449c580f23347fbc1cd4fe6903e641abe2497242c0a9d31152a59d886c87a84fbcf0e9b390eb0a5652d63d0367f73529465c927ee30933 WHIRLPOOL 56dc20bc46018eae7af5aa222f7eb4ede9c3db1c08c910a904f547d18af930bfdf49c8d56e8480924960ca87d124786def4127b2a2b3ef20be1b26bb95c1129e
+DIST duplicity-0.7.09.tar.gz 1542198 SHA256 431e7060ba1b028605f82aee2202543506998c386c7008cd9dfe975e9128a8b3 SHA512 da53b95d5a24b8c696c22dcf7e8a8e576bb8b00b62e56ee7f1e39bf4ca2be301ed87414f196f195f32bce0d15a6d289137b493a2c305ce969cf22e9205634e51 WHIRLPOOL 45d216088cf43c6ed0f65a86b723603f5cc977d1311ea4281189dc2d950665212968dc2b5acda4427492ee3d5d9fd195a2efb9e1ece660cc96a03fbf6e8aa97d
+EBUILD duplicity-0.7.09.ebuild 1256 SHA256 58132e1dd9d6724dc30168226c1e69370f88b16c59f4822006353b7c44db6e7e SHA512 f5093a08d87a535c3583ed7aca0a404c207a5794cbddf3cff510bbe86b992429e5a0d8fb4756977fdbee1c067c830e53763e58b6f29107a9846183dc59bb97f8 WHIRLPOOL 522f38670d717f01c3f06fe2404a4aad77201af1abbd6c2795e87d36a90414f0a34ac72a67c78ea108db81fd37fbc70eff107b7b189158eb8638189232b03fd4
diff --git a/app-backup/duplicity/duplicity-0.7.09.ebuild b/app-backup/duplicity/duplicity-0.7.09.ebuild
new file mode 100644
index 0000000..3b9b288
--- /dev/null
+++ b/app-backup/duplicity/duplicity-0.7.09.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 versionator
+
+DESCRIPTION="Secure backup system using gnupg to encrypt data"
+HOMEPAGE="http://www.nongnu.org/duplicity/"
+SRC_URI="https://code.launchpad.net/${PN}/$(get_version_component_range 1-2)-series/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="s3 test"
+
+CDEPEND="
+ net-libs/librsync
+ app-crypt/gnupg
+ dev-python/lockfile
+"
+DEPEND="${CDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/mock[${PYTHON_USEDEP}] )
+"
+RDEPEND="${CDEPEND}
+ dev-python/paramiko[${PYTHON_USEDEP}]
+ s3? ( dev-python/boto[${PYTHON_USEDEP}] )
+"
+
+python_prepare_all() {
+ # workaround until failing test is fixed
+ local PATCHES=( "${FILESDIR}"/${PN}-0.6.24-skip-test.patch )
+
+ distutils-r1_python_prepare_all
+
+ sed -i "s/'COPYING',//" setup.py || die "Couldn't remove unnecessary COPYING file."
+}
+
+python_test() {
+ esetup.py test
+}
+
+pkg_postinst() {
+ einfo "Duplicity has many optional dependencies to support various backends."
+ einfo "Currently it's up to you to install them as necessary."
+}
diff --git a/app-backup/duplicity/files/duplicity-0.6.24-skip-test.patch b/app-backup/duplicity/files/duplicity-0.6.24-skip-test.patch
new file mode 100644
index 0000000..ef6d959
--- /dev/null
+++ b/app-backup/duplicity/files/duplicity-0.6.24-skip-test.patch
@@ -0,0 +1,10 @@
+--- duplicity-0.6.24/testing/functional/test_final.py
++++ duplicity-0.6.24/testing/functional/test_final.py
+@@ -156,6 +156,7 @@
+ self.run_duplicity(options=["remove-older-than", "50000", "--force", self.backend_url])
+ self.assertEqual(self.get_backend_files(), second_chain)
+
++ @unittest.skip('skip failing test')
+ def test_piped_password(self):
+ """Make sure that prompting for a password works"""
+ self.set_environ("PASSPHRASE", None)